
Infrastructure - Task #3773

Task # 3866 (Closed): Release CCI 1.2.2 Features

EML taxonomy field parsing support for search index.

2013-05-22 18:01 - Skye Roseboom

Status: Closed Start date: 2013-06-21

Priority: Normal Due date: 2013-06-21

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: 2013.33-Block.4.4   

Milestone: CCI-1.2 Story Points:  

Product Version: *   

Description

Need to define xPath or SolrField rules for parsing taxonomy fields from EML metadata.

History

#1 - 2013-05-22 18:10 - Skye Roseboom

- Milestone changed from CCI-1.1.4 to CCI-1.3

#2 - 2013-05-22 20:36 - Skye Roseboom

Example xpath queries for eml taxon values.

Genus:

//taxonomicClassification/taxonRankValue[../taxonRankName="Genus"]/text()

Species:

//taxonomicClassification/taxonRankValue[../taxonRankName="Species"]/text()

#3 - 2013-05-22 22:59 - Skye Roseboom

- Milestone changed from CCI-1.3 to CCI-1.4

#4 - 2013-05-22 23:10 - Skye Roseboom

- Status changed from New to In Progress

#5 - 2013-05-23 00:56 - Skye Roseboom

- Status changed from In Progress to Testing

#6 - 2013-07-15 14:30 - Skye Roseboom

- Parent task changed from #3760 to #3864

#7 - 2013-07-18 21:03 - Skye Roseboom

- Parent task changed from #3864 to #3866

#8 - 2013-08-22 15:52 - Skye Roseboom

- Milestone changed from CCI-1.4 to CCI-1.2
#9 - 2013-08-22 15:52 - Skye Roseboom

- Target version set to 2013.33-Block.4.4

#10 - 2013-09-06 15:46 - Skye Roseboom

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0

tested in sandbox - ready for release on stable.
